Skip to main content

Client Enablement API

The Client Enablement API enables processors to facilitate the registration of new clients on the MX platform. Processors provide basic information about a client through the API; MX then issues an email to the client with a one-time use URL which they use to register on the Client Dashboard. Once registered, clients have access to the information they need to get up and running.

info

The features documented here are in beta, and this documentation is considered draft material subject to frequent change.

Base URL


_10
provisioning.mx.com

Headers


_10
Accept: application/vnd.mx.provisioning.v1+json
_10
_10
Content-Type: application/json

Authentication and Security

API requests must use HTTPS with TLSv1.2 encryption or higher or else they will fail.

Authentication is handled through the Authorization header, as shown to the right. String is the Base64 encoding of processor_id:processor_api_key. For example PROCESSOR-1234:API-KEY-4567 -> UFJPQ0VTU09SLTEyMzQ6QVBJLUtFWS00NTY3

Requests from IP addresses outside of the United States are normally not permissible, so any requests for non-US IPs will require additional scrutiny and must be manually investigated and approved. Should we have any questions or need further details, MX will contact you via email.

Authorization Header


_10
Authorization: Basic {string}

Create a Client

Use this endpoint to create a client. MX will send an email to the address specified in the request. This email will contain a one-time use link to register on the Client Dashboard.

If successful, the API will return a status of 200 OK without a response body.

Required Fields

FieldData TypeDefinition
company_nameStringThe name of the company associated with the client.
emailStringThe email address to which MX will send a registration link.
first_nameStringThe first name of the email's recipient.
last_nameStringThe last name of the email's recipient.
Request
Language:shell

_12
curl -L -X POST 'http://provisioning.mx.com/clients' \
_12
-H 'Accept: application/vnd.mx.provisioning.v1+json' \
_12
-H 'Authorization: Basic {string}' \
_12
-H 'Content-Type: application/json' \
_12
-d '{
_12
"client": {
_12
"company_name": "MX",
_12
"email": "john.foo@mx.com",
_12
"first_name": "John",
_12
"last_name": "Foo"
_12
}
_12
}'